source: drsdaq/VME/struck/sis1100/V2.02/test/config.status@ 22

Last change on this file since 22 was 22, checked in by ogrimm, 16 years ago
First commit of drsdaq program
  • Property svn:executable set to *
File size: 20.3 KB
Line 
1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization. ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30else
31 as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
46do
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
51 fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57else
58 as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63else
64 as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
98 fi
99 rm -f conf$$.sh
100fi
101
102
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120 ;;
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
126 fi
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
131 fi
132 case $CONFIG_SHELL in
133 '')
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
141 /*)
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156done
157;;
158 esac
159
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
170 N
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
182
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201else
202 as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
215 fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218else
219 as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" $as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling. Logging --version etc. is OK.
253exec 5>>config.log
254{
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by $as_me, which was
263generated by GNU Autoconf 2.59. Invocation command line was
264
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile"
275
276ac_cs_usage="\
277\`$as_me' instantiates files from templates according to the
278current configuration.
279
280Usage: $0 [OPTIONS] [FILE]...
281
282 -h, --help print this help, then exit
283 -V, --version print version number, then exit
284 -q, --quiet do not print progress messages
285 -d, --debug don't remove temporary files
286 --recheck update $as_me by reconfiguring in the same conditions
287 --file=FILE[:TEMPLATE]
288 instantiate the configuration file FILE
289
290Configuration files:
291$config_files
292
293Report bugs to <bug-autoconf@gnu.org>."
294ac_cs_version="\
295config.status
296configured by ./configure, generated by GNU Autoconf 2.59,
297 with options \"\"
298
299Copyright (C) 2003 Free Software Foundation, Inc.
300This config.status script is free software; the Free Software Foundation
301gives unlimited permission to copy, distribute and modify it."
302srcdir=.
303# If no file are specified by the user, then we need to provide default
304# value. By we need to know if files were specified by the user.
305ac_need_defaults=:
306while test $# != 0
307do
308 case $1 in
309 --*=*)
310 ac_option=`expr "x$1" : 'x\([^=]*\)='`
311 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
312 ac_shift=:
313 ;;
314 -*)
315 ac_option=$1
316 ac_optarg=$2
317 ac_shift=shift
318 ;;
319 *) # This is not an option, so the user has probably given explicit
320 # arguments.
321 ac_option=$1
322 ac_need_defaults=false;;
323 esac
324
325 case $ac_option in
326 # Handling of the options.
327 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
328 ac_cs_recheck=: ;;
329 --version | --vers* | -V )
330 echo "$ac_cs_version"; exit 0 ;;
331 --he | --h)
332 # Conflict between --help and --header
333 { { echo "$as_me:$LINENO: error: ambiguous option: $1
334Try \`$0 --help' for more information." >&5
335echo "$as_me: error: ambiguous option: $1
336Try \`$0 --help' for more information." >&2;}
337 { (exit 1); exit 1; }; };;
338 --help | --hel | -h )
339 echo "$ac_cs_usage"; exit 0 ;;
340 --debug | --d* | -d )
341 debug=: ;;
342 --file | --fil | --fi | --f )
343 $ac_shift
344 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
345 ac_need_defaults=false;;
346 --header | --heade | --head | --hea )
347 $ac_shift
348 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
349 ac_need_defaults=false;;
350 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
351 | -silent | --silent | --silen | --sile | --sil | --si | --s)
352 ac_cs_silent=: ;;
353
354 # This is an error.
355 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
356Try \`$0 --help' for more information." >&5
357echo "$as_me: error: unrecognized option: $1
358Try \`$0 --help' for more information." >&2;}
359 { (exit 1); exit 1; }; } ;;
360
361 *) ac_config_targets="$ac_config_targets $1" ;;
362
363 esac
364 shift
365done
366
367ac_configure_extra_args=
368
369if $ac_cs_silent; then
370 exec 6>/dev/null
371 ac_configure_extra_args="$ac_configure_extra_args --silent"
372fi
373
374if $ac_cs_recheck; then
375 echo "running /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
376 exec /bin/sh ./configure $ac_configure_extra_args --no-create --no-recursion
377fi
378
379for ac_config_target in $ac_config_targets
380do
381 case "$ac_config_target" in
382 # Handling of arguments.
383 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
384 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
385echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
386 { (exit 1); exit 1; }; };;
387 esac
388done
389
390# If the user did not use the arguments to specify the items to instantiate,
391# then the envvar interface is used. Set only those that are not.
392# We use the long form for the default assignment because of an extremely
393# bizarre bug on SunOS 4.1.3.
394if $ac_need_defaults; then
395 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
396fi
397
398# Have a temporary directory for convenience. Make it in the build tree
399# simply because there is no reason to put it here, and in addition,
400# creating and moving files from /tmp can sometimes cause problems.
401# Create a temporary directory, and hook for its removal unless debugging.
402$debug ||
403{
404 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
405 trap '{ (exit 1); exit 1; }' 1 2 13 15
406}
407
408# Create a (secure) tmp directory for tmp files.
409
410{
411 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
412 test -n "$tmp" && test -d "$tmp"
413} ||
414{
415 tmp=./confstat$$-$RANDOM
416 (umask 077 && mkdir $tmp)
417} ||
418{
419 echo "$me: cannot create a temporary directory in ." >&2
420 { (exit 1); exit 1; }
421}
422
423
424#
425# CONFIG_FILES section.
426#
427
428# No need to generate the scripts if there are no CONFIG_FILES.
429# This happens for instance when ./config.status config.h
430if test -n "$CONFIG_FILES"; then
431 # Protect against being on the right side of a sed subst in config.status.
432 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
433 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
434s,@SHELL@,/bin/sh,;t t
435s,@PATH_SEPARATOR@,:,;t t
436s,@PACKAGE_NAME@,,;t t
437s,@PACKAGE_TARNAME@,,;t t
438s,@PACKAGE_VERSION@,,;t t
439s,@PACKAGE_STRING@,,;t t
440s,@PACKAGE_BUGREPORT@,,;t t
441s,@exec_prefix@,${prefix},;t t
442s,@prefix@,/usr/local,;t t
443s,@program_transform_name@,s,x,x,,;t t
444s,@bindir@,${exec_prefix}/bin,;t t
445s,@sbindir@,${exec_prefix}/sbin,;t t
446s,@libexecdir@,${exec_prefix}/libexec,;t t
447s,@datadir@,${prefix}/share,;t t
448s,@sysconfdir@,${prefix}/etc,;t t
449s,@sharedstatedir@,${prefix}/com,;t t
450s,@localstatedir@,${prefix}/var,;t t
451s,@libdir@,${exec_prefix}/lib,;t t
452s,@includedir@,${prefix}/include,;t t
453s,@oldincludedir@,/usr/include,;t t
454s,@infodir@,${prefix}/info,;t t
455s,@mandir@,${prefix}/man,;t t
456s,@build_alias@,,;t t
457s,@host_alias@,,;t t
458s,@target_alias@,,;t t
459s,@DEFS@,-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" ,;t t
460s,@ECHO_C@,,;t t
461s,@ECHO_N@,-n,;t t
462s,@ECHO_T@,,;t t
463s,@LIBS@,,;t t
464s,@build@,i686-unknown-linux-gnu,;t t
465s,@build_cpu@,i686,;t t
466s,@build_vendor@,unknown,;t t
467s,@build_os@,linux-gnu,;t t
468s,@host@,i686-unknown-linux-gnu,;t t
469s,@host_cpu@,i686,;t t
470s,@host_vendor@,unknown,;t t
471s,@host_os@,linux-gnu,;t t
472s,@target@,i686-unknown-linux-gnu,;t t
473s,@target_cpu@,i686,;t t
474s,@target_vendor@,unknown,;t t
475s,@target_os@,linux-gnu,;t t
476s,@SET_MAKE@,,;t t
477s,@driverbase@,$(srcdir)/..,;t t
478s,@LIBOBJS@,,;t t
479s,@LTLIBOBJS@,,;t t
480CEOF
481
482 # Split the substitutions into bite-sized pieces for seds with
483 # small command number limits, like on Digital OSF/1 and HP-UX.
484 ac_max_sed_lines=48
485 ac_sed_frag=1 # Number of current file.
486 ac_beg=1 # First line for current file.
487 ac_end=$ac_max_sed_lines # Line after last line for current file.
488 ac_more_lines=:
489 ac_sed_cmds=
490 while $ac_more_lines; do
491 if test $ac_beg -gt 1; then
492 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
493 else
494 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
495 fi
496 if test ! -s $tmp/subs.frag; then
497 ac_more_lines=false
498 else
499 # The purpose of the label and of the branching condition is to
500 # speed up the sed processing (if there are no `@' at all, there
501 # is no need to browse any of the substitutions).
502 # These are the two extra sed commands mentioned above.
503 (echo ':t
504 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
505 if test -z "$ac_sed_cmds"; then
506 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
507 else
508 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
509 fi
510 ac_sed_frag=`expr $ac_sed_frag + 1`
511 ac_beg=$ac_end
512 ac_end=`expr $ac_end + $ac_max_sed_lines`
513 fi
514 done
515 if test -z "$ac_sed_cmds"; then
516 ac_sed_cmds=cat
517 fi
518fi # test -n "$CONFIG_FILES"
519
520for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
521 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
522 case $ac_file in
523 - | *:- | *:-:* ) # input from stdin
524 cat >$tmp/stdin
525 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
526 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
527 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
528 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
529 * ) ac_file_in=$ac_file.in ;;
530 esac
531
532 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
533 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
534$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
535 X"$ac_file" : 'X\(//\)[^/]' \| \
536 X"$ac_file" : 'X\(//\)$' \| \
537 X"$ac_file" : 'X\(/\)' \| \
538 . : '\(.\)' 2>/dev/null ||
539echo X"$ac_file" |
540 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
541 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
542 /^X\(\/\/\)$/{ s//\1/; q; }
543 /^X\(\/\).*/{ s//\1/; q; }
544 s/.*/./; q'`
545 { if $as_mkdir_p; then
546 mkdir -p "$ac_dir"
547 else
548 as_dir="$ac_dir"
549 as_dirs=
550 while test ! -d "$as_dir"; do
551 as_dirs="$as_dir $as_dirs"
552 as_dir=`(dirname "$as_dir") 2>/dev/null ||
553$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
554 X"$as_dir" : 'X\(//\)[^/]' \| \
555 X"$as_dir" : 'X\(//\)$' \| \
556 X"$as_dir" : 'X\(/\)' \| \
557 . : '\(.\)' 2>/dev/null ||
558echo X"$as_dir" |
559 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
560 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
561 /^X\(\/\/\)$/{ s//\1/; q; }
562 /^X\(\/\).*/{ s//\1/; q; }
563 s/.*/./; q'`
564 done
565 test ! -n "$as_dirs" || mkdir $as_dirs
566 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
567echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
568 { (exit 1); exit 1; }; }; }
569
570 ac_builddir=.
571
572if test "$ac_dir" != .; then
573 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
574 # A "../" for each directory in $ac_dir_suffix.
575 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
576else
577 ac_dir_suffix= ac_top_builddir=
578fi
579
580case $srcdir in
581 .) # No --srcdir option. We are building in place.
582 ac_srcdir=.
583 if test -z "$ac_top_builddir"; then
584 ac_top_srcdir=.
585 else
586 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
587 fi ;;
588 [\\/]* | ?:[\\/]* ) # Absolute path.
589 ac_srcdir=$srcdir$ac_dir_suffix;
590 ac_top_srcdir=$srcdir ;;
591 *) # Relative path.
592 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
593 ac_top_srcdir=$ac_top_builddir$srcdir ;;
594esac
595
596# Do not use `cd foo && pwd` to compute absolute paths, because
597# the directories may not exist.
598case `pwd` in
599.) ac_abs_builddir="$ac_dir";;
600*)
601 case "$ac_dir" in
602 .) ac_abs_builddir=`pwd`;;
603 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
604 *) ac_abs_builddir=`pwd`/"$ac_dir";;
605 esac;;
606esac
607case $ac_abs_builddir in
608.) ac_abs_top_builddir=${ac_top_builddir}.;;
609*)
610 case ${ac_top_builddir}. in
611 .) ac_abs_top_builddir=$ac_abs_builddir;;
612 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
613 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
614 esac;;
615esac
616case $ac_abs_builddir in
617.) ac_abs_srcdir=$ac_srcdir;;
618*)
619 case $ac_srcdir in
620 .) ac_abs_srcdir=$ac_abs_builddir;;
621 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
622 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
623 esac;;
624esac
625case $ac_abs_builddir in
626.) ac_abs_top_srcdir=$ac_top_srcdir;;
627*)
628 case $ac_top_srcdir in
629 .) ac_abs_top_srcdir=$ac_abs_builddir;;
630 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
631 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
632 esac;;
633esac
634
635
636
637 if test x"$ac_file" != x-; then
638 { echo "$as_me:$LINENO: creating $ac_file" >&5
639echo "$as_me: creating $ac_file" >&6;}
640 rm -f "$ac_file"
641 fi
642 # Let's still pretend it is `configure' which instantiates (i.e., don't
643 # use $as_me), people would be surprised to read:
644 # /* config.h. Generated by config.status. */
645 if test x"$ac_file" = x-; then
646 configure_input=
647 else
648 configure_input="$ac_file. "
649 fi
650 configure_input=$configure_input"Generated from `echo $ac_file_in |
651 sed 's,.*/,,'` by configure."
652
653 # First look for the input files in the build tree, otherwise in the
654 # src tree.
655 ac_file_inputs=`IFS=:
656 for f in $ac_file_in; do
657 case $f in
658 -) echo $tmp/stdin ;;
659 [\\/$]*)
660 # Absolute (can't be DOS-style, as IFS=:)
661 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
662echo "$as_me: error: cannot find input file: $f" >&2;}
663 { (exit 1); exit 1; }; }
664 echo "$f";;
665 *) # Relative
666 if test -f "$f"; then
667 # Build tree
668 echo "$f"
669 elif test -f "$srcdir/$f"; then
670 # Source tree
671 echo "$srcdir/$f"
672 else
673 # /dev/null tree
674 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
675echo "$as_me: error: cannot find input file: $f" >&2;}
676 { (exit 1); exit 1; }; }
677 fi;;
678 esac
679 done` || { (exit 1); exit 1; }
680 sed "/^[ ]*VPATH[ ]*=/{
681s/:*\$(srcdir):*/:/;
682s/:*\${srcdir}:*/:/;
683s/:*@srcdir@:*/:/;
684s/^\([^=]*=[ ]*\):*/\1/;
685s/:*$//;
686s/^[^=]*=[ ]*$//;
687}
688
689:t
690/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
691s,@configure_input@,$configure_input,;t t
692s,@srcdir@,$ac_srcdir,;t t
693s,@abs_srcdir@,$ac_abs_srcdir,;t t
694s,@top_srcdir@,$ac_top_srcdir,;t t
695s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
696s,@builddir@,$ac_builddir,;t t
697s,@abs_builddir@,$ac_abs_builddir,;t t
698s,@top_builddir@,$ac_top_builddir,;t t
699s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
700" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
701 rm -f $tmp/stdin
702 if test x"$ac_file" != x-; then
703 mv $tmp/out $ac_file
704 else
705 cat $tmp/out
706 rm -f $tmp/out
707 fi
708
709done
710
711{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the repository browser.